memmove(3)

NAME
memmove - memory move

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <string.h>  // see memory.h(3head)

void *memmove(size_t n;
              void dest[n], const void src[n], size_t n);

DESCRIPTION
This function is similar to memcpy(3), but the memory areas may overlap.

RETURN VALUE
See memcpy(3).

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS
C11, POSIX.1-2008.

HISTORY
POSIX.1-2001, C89, SVr4, 4.3BSD.

SEE ALSO
memory.h(3head), memcpy(3), wmemmove(3)